Subject: Re: [bug-diffutils] bug#24121: [platform-testers] new snapshot available: diffutils-3.3.52-e974

From: Jim Meyering <[email-masked]>
Date: Mon, 1 Aug 2016 08:18:33 -0700

On Mon, Aug 1, 2016 at 2:16 AM, Dagobert Michelsen <[email-masked]> wrote:
> Hi Jim,

Hi Dagobert,

Thank you for the quick testing!

>> Am 01.08.2016 um 03:15 schrieb Jim Meyering <[email-masked]>:
>>
>> Here's a new snapshot:
...
>>  http://meyering.net/diff/diffutils-3.3.52-e974.tar.xz
>
> Just tested on Solaris 10 Sparc, there is a missing „;" in Makefile.am:
>
>> diff --git a/tests/Makefile.am b/tests/Makefile.am
>> index 5457d3a..4538c7b 100644
>> --- a/tests/Makefile.am
>> +++ b/tests/Makefile.am
>> @@ -46,7 +46,7 @@ TESTS_ENVIRONMENT =                                                   \
>>    PREFERABLY_POSIX_SHELL='$(PREFERABLY_POSIX_SHELL)';                  \
>>      export PREFERABLY_POSIX_SHELL;                                     \
>>    REPLACE_GETCWD=$(REPLACE_GETCWD); export REPLACE_GETCWD;             \
>> -  PATH='$(abs_top_builddir)/src$(PATH_SEPARATOR)'"$$PATH"; export PATH \
>> +  PATH='$(abs_top_builddir)/src$(PATH_SEPARATOR)'"$$PATH"; export PATH; \
>>    stderr_fileno_=9; export stderr_fileno                               \
>>    ; 9>&2

I believe this is addressed by the patch I posted last night:
  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24121#11

> On Solaris 9 Sparc the substitute for „isblank“ is missing:
>
>>   CCLD     test-c-ctype
>> Undefined                       first referenced
>>  symbol                             in file
>> isblank                             test-c-ctype.o
>
> It should be pulled in from Gnulib:
>   https://www.gnu.org/software/gnulib/manual/html_node/isblank.html
>
> On Solaris 11 Sparc I get this compilation error:
>
>>   CC       rawmemchr.o
>> rawmemchr.c: In function 'rawmemchr':
>> rawmemchr.c:49:18: error: cast increases required alignment of target type [-Werror=cast-align]
>>    longword_ptr = (const longword *) char_ptr;
>>                   ^
>> cc1: all warnings being treated as errors

Thanks!
This should fix it:
From 7fbf4f7389c982fa07a783734f11e8a4b83440ab Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Mon, 1 Aug 2016 08:03:22 -0700
Subject: [PATCH] build: Solaris 9: avoid link failure due to isblank use

* bootstrap.conf (gnulib_modules): Add isblank, to avoid a link
error on Solaris 9 Sparc.  Reported by Dagobert Michelsen.
---
 bootstrap.conf | 1 +
 1 file changed, 1 insertion(+)

diff --git a/bootstrap.conf b/bootstrap.conf
index ec9f895..828ffef 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -48,6 +48,7 @@ gnupload
 hard-locale
 inttostr
 inttypes
+isblank
 largefile
 lstat
 maintainer-makefile
-- 
2.8.0-rc2